Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005924 [JEDI VCL] 00 JVCL Components feature sometimes 2012-06-28 15:14 2015-09-21 17:47
Reporter tetardd View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005924: TJvURLListGrabber does not have TimeOut property
Description Properties that can control TimeOut are missing in TJvURLGrabber.
Se InternetSetOptions with flags INTERNET_OPTION_CONNECT_TIMEOUT, INTERNET_OPTION_DATA_RECEIVE_TIMEOUT, etc.

Additional Information
Tags No tags attached.
Attached Files ? file icon JvUrlListGrabber.pas [^] (61,764 bytes) 2013-01-19 08:32

- Relationships

-  Notes
(0020341)
obones (administrator)
2013-01-15 15:09

Can you provide an implementation for this?
(0020406)
tetardd (reporter)
2013-01-19 08:33

Attached is my proposed implementation. I marked the changed code with Tetard for your consideration.

Thanks.
(0020849)
obones (administrator)
2013-12-16 11:40

This is now in GIT

- Issue History
Date Modified Username Field Change
2012-06-28 15:14 tetardd New Issue
2013-01-15 15:09 obones Note Added: 0020341
2013-01-15 15:09 obones Status new => feedback
2013-01-19 08:32 tetardd File Added: JvUrlListGrabber.pas
2013-01-19 08:33 tetardd Note Added: 0020406
2013-12-13 11:41 obones Status feedback => acknowledged
2013-12-16 11:40 obones Note Added: 0020849
2013-12-16 11:40 obones Status acknowledged => resolved
2013-12-16 11:40 obones Fixed in Version => Daily / GIT
2013-12-16 11:40 obones Resolution open => fixed
2013-12-16 11:40 obones Assigned To => obones
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker